libpoppler-cpp-dev_0.26.5-2+deb8u1_i386.deb


Advertisement

Description

libpoppler-cpp-dev - PDF rendering library -- development files (CPP interface)

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package name libpoppler-cpp-dev
Package version 0.26.5
Package release 2+deb8u1
Package architecture i386
Package type deb
Installed size 155 B
Download size 49.80 KB
Official Mirror ftp.br.debian.org
Poppler is a PDF rendering library based on Xpdf PDF viewer.
This package contains the headers and development libraries needed to
build applications using the C++ Poppler interface.

Alternatives

Package Version Architecture Repository
libpoppler-cpp-dev_0.26.5-2+deb8u1_amd64.deb 0.26.5 amd64 Debian Main
libpoppler-cpp-dev - - -

Requires

Name Value
libpoppler-cpp0 = 0.26.5-2+deb8u1
libpoppler-dev = 0.26.5-2+deb8u1

Download

Type URL
Binary Package libpoppler-cpp-dev_0.26.5-2+deb8u1_i386.deb
Source Package poppler

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpoppler-cpp-dev deb package:
    # sudo apt-get install libpoppler-cpp-dev

Files

Path
/usr/include/poppler/cpp/poppler-document.h
/usr/include/poppler/cpp/poppler-embedded-file.h
/usr/include/poppler/cpp/poppler-font.h
/usr/include/poppler/cpp/poppler-global.h
/usr/include/poppler/cpp/poppler-image.h
/usr/include/poppler/cpp/poppler-page-renderer.h
/usr/include/poppler/cpp/poppler-page-transition.h
/usr/include/poppler/cpp/poppler-page.h
/usr/include/poppler/cpp/poppler-rectangle.h
/usr/include/poppler/cpp/poppler-toc.h
/usr/include/poppler/cpp/poppler-version.h
/usr/lib/i386-linux-gnu/libpoppler-cpp.a
/usr/lib/i386-linux-gnu/libpoppler-cpp.so
/usr/lib/i386-linux-gnu/pkgconfig/poppler-cpp.pc
/usr/share/doc/libpoppler-cpp-dev/changelog.Debian.gz
/usr/share/doc/libpoppler-cpp-dev/copyright

Changelog

2016-04-25 - Pino Toscano <pino@debian.org>
poppler (0.26.5-2+deb8u1) jessie-security; urgency=medium
* Backport upstream commit b3425dd3261679958cd56c0f71995c15d2124433 to fix
a crash on invalid files, reported also as CVE-2015-8868; patch
upstream_Do-not-crash-on-invalid-files.patch. (Closes: #822578)
2014-10-19 - Pino Toscano <pino@debian.org>
poppler (0.26.5-2) unstable; urgency=medium
* Backport upstream commit 01723aa17e836e818158dbdc56df642a290be300 to map
Standard/Expert encoding ligatures to AGLFN names; patch
upstream_Map-Standard-Expert-encoding-ligatures-to-AGLFN-name.patch.
(Closes: #740801)
* Bump Standards-Version to 3.9.6, no changes required.
2014-09-27 - Pino Toscano <pino@debian.org>
poppler (0.26.5-1) unstable; urgency=medium
* New upstream release.
2014-08-22 - Pino Toscano <pino@debian.org>
poppler (0.26.4-1) unstable; urgency=medium
* New upstream release.
* Fix linking order in autopkgtest tests.
* Update copyright.
2014-07-20 - Pino Toscano <pino@debian.org>
poppler (0.26.3-1) unstable; urgency=medium
* New upstream release.
* Bump the libqt4-dev (build-)dependency to 4.7.0, as noted in the upstream
build system.
* Update copyright.
2014-07-18 - Pino Toscano <pino@debian.org>
poppler (0.26.2-3) unstable; urgency=medium
* Mark libpoppler-dev, libpoppler-private-dev, libpoppler-qt5-dev, and
libpoppler-cpp-dev as Multi-Arch: same; dependencies of the other -dev's
are not ready. (Closes: #743817)
* Switch from autotools-dev to dh-autoreconf: (Closes: #753342)
- autoreconf in as-needed mode, and thus drop patch ltmain-as-needed.diff
- remove Makefile.in parts from qt-visibility.diff
* Provide a simple debian/upstream/metadata file, for DEP 12.
* Remove Dave Beckett and Ross Burton from Uploaders, since they have done
no work at all in poppler.
* Add simple autopkgtest tests for the frontends (cpp, glib, qt4, qt5);
loosely inspired by the glib one provided by Ubuntu.
[ Peter Pentchev ]
* Drop the unused libgtk2.0-dev build dependency. (Closes: #749972)
2014-07-02 - Pino Toscano <pino@debian.org>
poppler (0.26.2-2) unstable; urgency=medium
* Upload to unstable. (See #751525)
2014-06-20 - Pino Toscano <pino@debian.org>
poppler (0.26.2-1) experimental; urgency=medium
* New upstream release:
- 'pdftohtml -v' now returns 0 as exit code (Closes: #732427)
2014-05-24 - Pino Toscano <pino@debian.org>
poppler (0.26.1-1) experimental; urgency=medium
* New upstream release:
- fix extraction of text in some files (Closes: #747057)
* Update copyright.
* Merge changes from 0.24.5-4:
- upstream_Fix-extraction-of-text-in-some-files.patch: drop, backported
2014-04-25 - Pino Toscano <pino@debian.org>
poppler (0.26.0-1) experimental; urgency=medium
* New upstream release:
- pdfseparate supports left-padding PDF page patterns (Closes: #723121)
- poppler-glib uses the GLib logging features for Poppler's messages
(Closes: #736425)
* Rename packages according to the new SONAMEs:
- libpoppler44 -> libpoppler46
* Update copyright.
* Update symbols files.
* debian/patches:
- upstream_fix_qt5_moc_detection.diff: drop, backported
- qt-visibility.diff: remove applied parts

See Also

Package Description
libpoppler-cpp0_0.26.5-2+deb8u1_i386.deb PDF rendering library (CPP shared library)
libpoppler-dev_0.26.5-2+deb8u1_i386.deb PDF rendering library -- development files
libpoppler-glib-dev_0.26.5-2+deb8u1_i386.deb PDF rendering library -- development files (GLib interface)
libpoppler-glib-doc_0.26.5-2+deb8u1_all.deb PDF rendering library -- documentation for the GLib interface
libpoppler-glib8_0.26.5-2+deb8u1_i386.deb PDF rendering library (GLib-based shared library)
libpoppler-private-dev_0.26.5-2+deb8u1_i386.deb PDF rendering library -- private development files
libpoppler-qt4-4_0.26.5-2+deb8u1_i386.deb PDF rendering library (Qt 4 based shared library)
libpoppler-qt4-dev_0.26.5-2+deb8u1_i386.deb PDF rendering library -- development files (Qt 4 interface)
libpoppler-qt5-1_0.26.5-2+deb8u1_i386.deb PDF rendering library (Qt 5 based shared library)
libpoppler-qt5-dev_0.26.5-2+deb8u1_i386.deb PDF rendering library -- development files (Qt 5 interface)
libpoppler46_0.26.5-2+deb8u1_i386.deb PDF rendering library
libpopplerkit-dev_0.0.20051227svn-7.1+b4_i386.deb GNUstep framework for rendering PDF content (development files)
libpopplerkit0_0.0.20051227svn-7.1+b4_i386.deb GNUstep framework for rendering PDF content (library files)
libpopt-dev_1.16-10_i386.deb lib for parsing cmdline parameters - development files
libpopt0_1.16-10_i386.deb lib for parsing cmdline parameters
Advertisement
Advertisement